commit:     50700e22602715ac6b4c035d123f3d2ac053479f
Author:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 26 17:05:00 2021 +0000
Commit:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Fri Feb 26 17:07:16 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=50700e22

app-emulation/docker-compose: 1.28.5

Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
Package-Manager: Portage-3.0.14, Repoman-3.0.2

 app-emulation/docker-compose/Manifest              |  1 +
 .../docker-compose/docker-compose-1.28.5.ebuild    | 73 ++++++++++++++++++++++
 .../files/docker-compose-1.28.5-setup-py.patch     | 67 ++++++++++++++++++++
 3 files changed, 141 insertions(+)

diff --git a/app-emulation/docker-compose/Manifest 
b/app-emulation/docker-compose/Manifest
index 32f2db2f59b..063a1f5d08b 100644
--- a/app-emulation/docker-compose/Manifest
+++ b/app-emulation/docker-compose/Manifest
@@ -3,3 +3,4 @@ DIST docker-compose-1.28.0.tar.gz 318112 BLAKE2B 
2e721f2aed08f8c63c7c75aa91e6ee2
 DIST docker-compose-1.28.2.tar.gz 318196 BLAKE2B 
60827043135b1b1455ce0fe8cd3b6bdfad025af80d32b805e7a7a9df7949808b6575555e860a2d0f57bf07af44cb7847b38146accbb2c4eec9a8919bc4ec4141
 SHA512 
ababba47717e31187243478ba4a9d4082e2f64a05a0bf48cbafb2a44b62138d7dfb1cbb88da4c388b559cb35d53bcf4c42617f6ae02412b7a65f02cb09255e45
 DIST docker-compose-1.28.3.tar.gz 318055 BLAKE2B 
06295dd77bafe191afc8f83f90c5763d8c8804caaf1c7a7f0866760297b212bf8fc4b6735ebf2bdda44f373d91ae1bd1398e7477b1e9e10bddf3db22885ae667
 SHA512 
d1bd5d2e82dcd44f37d5ff23d1f781e72bffe298245c1d54f0b4b00f0ed950f8896154ce35d265f010dd1422c7ad00c0785489383c123579786e30c82eb7f637
 DIST docker-compose-1.28.4.tar.gz 318110 BLAKE2B 
97a39c52a2e9819fa4632a16080b9b3a029c5b81caa1bcb5143e78b9c6f3981aa462ef23c6c08fcafe80f8b786ce4962959dc84fd4fe2003ceee3dddcb85f438
 SHA512 
ba0b8a8a87e154c36b499b0fbb422847bcec421bdcbb6a7fc4a4d8169ae410f6bb71867fbff42b670b3d5ae61101527eeb71e68d57458906796e2d64adc0e367
+DIST docker-compose-1.28.5.tar.gz 318236 BLAKE2B 
32aca16fdebd00c5b211404e82b44b9486340bfa379d4739d164d5aa75d4f35b95d914065c05fef585ea7e412035e582d8058f2b942a4ce17a9b2bc25ff0cd31
 SHA512 
1f2cc87b82d18c023e8c2d9eb2e991393c96f7a3ab17fa6871d0969a28162b6832f98b42c76cadc641416629f74eb00763c89e044ae8cf02a062bd74b58371c9

diff --git a/app-emulation/docker-compose/docker-compose-1.28.5.ebuild 
b/app-emulation/docker-compose/docker-compose-1.28.5.ebuild
new file mode 100644
index 00000000000..c59a93b5bff
--- /dev/null
+++ b/app-emulation/docker-compose/docker-compose-1.28.5.ebuild
@@ -0,0 +1,73 @@
+# Copyright 2018-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit bash-completion-r1 distutils-r1
+
+MY_PV=${PV/_/-}
+DESCRIPTION="Multi-container orchestration for Docker"
+HOMEPAGE="https://github.com/docker/compose";
+SRC_URI="https://github.com/docker/compose/archive/${MY_PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       >=dev-python/cached-property-1.2.0[${PYTHON_USEDEP}]
+       >=dev-python/distro-1.5.0[${PYTHON_USEDEP}]
+       >=dev-python/docker-py-4.4.4[${PYTHON_USEDEP}]
+       >=dev-python/dockerpty-0.4.1[${PYTHON_USEDEP}]
+       >=dev-python/docopt-0.6.1[${PYTHON_USEDEP}]
+       >=dev-python/python-dotenv-0.13.0[${PYTHON_USEDEP}]
+       >=dev-python/jsonschema-2.5.1[${PYTHON_USEDEP}]
+       dev-python/paramiko[${PYTHON_USEDEP}]
+       >=dev-python/PySocks-1.6.0[${PYTHON_USEDEP}]
+       >=dev-python/pyyaml-3.10[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.20.0[${PYTHON_USEDEP}]
+       >=dev-python/six-1.3.0[${PYTHON_USEDEP}]
+       >=dev-python/texttable-0.9.0[${PYTHON_USEDEP}]
+       >=dev-python/websocket-client-0.32.0[${PYTHON_USEDEP}]"
+
+DEPEND="${RDEPEND}
+       test? (
+               >=dev-python/pytest-5[${PYTHON_USEDEP}]
+               >=dev-python/ddt-1.2.2[${PYTHON_USEDEP}]
+       )"
+
+S="${WORKDIR}/compose-${MY_PV}"
+
+PATCHES=(
+       # Bug #679968 -- https://bugs.gentoo.org/679968
+       # Bug #681002 -- https://bugs.gentoo.org/681002
+       "${FILESDIR}"/${PN}-1.28.5-setup-py.patch
+)
+
+DOCS=( CHANGELOG.md README.md )
+
+src_prepare() {
+       # Address QA issue "docker-compose.exe: missing alias (symlink) for 
completed command."
+       sed 's,^\(complete.*\) docker-compose\.exe\(.*\),\1\2,' -i 
contrib/completion/bash/docker-compose || die
+
+       default
+}
+
+python_test() {
+       distutils_install_for_testing
+       ${PYTHON} -m pytest tests/unit/ || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       newbashcomp contrib/completion/bash/docker-compose ${PN}
+
+       insinto /usr/share/zsh/site-functions
+       doins contrib/completion/zsh/*
+
+       distutils-r1_python_install_all
+}

diff --git 
a/app-emulation/docker-compose/files/docker-compose-1.28.5-setup-py.patch 
b/app-emulation/docker-compose/files/docker-compose-1.28.5-setup-py.patch
new file mode 100644
index 00000000000..75967139165
--- /dev/null
+++ b/app-emulation/docker-compose/files/docker-compose-1.28.5-setup-py.patch
@@ -0,0 +1,67 @@
+From 7a5520d0b478e9bb20c9c3ff2614a8afd392b020 Mon Sep 17 00:00:00 2001
+From: Sebastian Pipping <[email protected]>
+Date: Mon, 4 Jan 2021 17:36:44 +0100
+Subject: [PATCH] setup.py: Drop generic upper version boundaries
+
+---
+ setup.py | 34 +++++++++++++++++-----------------
+ 1 file changed, 17 insertions(+), 17 deletions(-)
+
+diff --git a/setup.py b/setup.py
+index 57e1313..94a3337 100644
+--- a/setup.py
++++ b/setup.py
+@@ -25,33 +25,33 @@ def find_version(*file_paths):
+ 
+ 
+ install_requires = [
+-    'cached-property >= 1.2.0, < 2',
+-    'docopt >= 0.6.1, < 1',
+-    'PyYAML >= 3.10, < 6',
+-    'requests >= 2.20.0, < 3',
+-    'texttable >= 0.9.0, < 2',
+-    'websocket-client >= 0.32.0, < 1',
+-    'distro >= 1.5.0, < 2',
+-    'docker[ssh] >= 4.4.4, < 5',
+-    'dockerpty >= 0.4.1, < 1',
+-    'jsonschema >= 2.5.1, < 4',
+-    'python-dotenv >= 0.13.0, < 1',
++    'cached-property >= 1.2.0',
++    'docopt >= 0.6.1',
++    'PyYAML >= 3.10',
++    'requests >= 2.20.0',
++    'texttable >= 0.9.0',
++    'websocket-client >= 0.32.0',
++    'distro >= 1.5.0',
++    'docker[ssh] >= 4.4.4',
++    'dockerpty >= 0.4.1',
++    'jsonschema >= 2.5.1',
++    'python-dotenv >= 0.13.0',
+ ]
+ 
+ 
+ tests_require = [
+-    'ddt >= 1.2.2, < 2',
+-    'pytest < 6',
++    'ddt >= 1.2.2',
++    'pytest',
+ ]
+ 
+ 
+ if sys.version_info[:2] < (3, 4):
+-    tests_require.append('mock >= 1.0.1, < 4')
++    tests_require.append('mock >= 1.0.1')
+ 
+ extras_require = {
+-    ':python_version < "3.5"': ['backports.ssl_match_hostname >= 3.5, < 4'],
+-    ':sys_platform == "win32"': ['colorama >= 0.4, < 1'],
+-    'socks': ['PySocks >= 1.5.6, != 1.5.7, < 2'],
++    ':python_version < "3.5"': ['backports.ssl_match_hostname >= 3.5'],
++    ':sys_platform == "win32"': ['colorama >= 0.4'],
++    'socks': ['PySocks >= 1.5.6, != 1.5.7'],
+     'tests': tests_require,
+ }
+ 
+-- 
+2.30.0.rc2
+

Reply via email to